LibreOffice: ChapterNumberingRule Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
ChapterNumberingRule Service Referencepublished

describes the rules for chapter numbering in a text document. More...

Inheritance diagram for ChapterNumberingRule:

## Included Services
service | com::sun::star::style::NumberingRule
Included Services inherited from NumberingRule
service | com::sun::star::style::NumberingAlignment
service | com::sun::star::style::NumberingLevel

## Public Attributes
string | HeadingStyleName
| contains the name of the paragraph style that marks this heading level.
Public Attributes inherited from NumberingAlignment
com::sun::star::style::HorizontalAlignment | Alignment
| set the alignment from the numbering.
short | TextMarginDistance
| the minimum distance between the numbering symbol and the following text.
short | TextNumberingDistance
| the distance between left margin and the numbering symbol.
short | Insertion
| the distance between the numbering symbol and text.
Public Attributes inherited from NumberingLevel
short | NumberingType
| specifies the type of numbering.
short | ParentNumbering
| specifies the number of higher numbering levels that are included in the representation of the current number.
string | Prefix
| This prefix is inserted in front of the numbering symbol(s).
string | Suffix
| This suffix is inserted after the numbering symbol(s).
string | CharStyleName
| This is the name of the character style that is used for the symbol(s).
short | BulletId
| The bullet symbol with this code in the assigned font is used.
string | BulletFontName
| This is the name of the font that is used for the bullet.
string | GraphicURL
| This is the URL of a graphic file to use as a symbol.
short | StartWith
| This specifies the start value for the numbering.
com::sun::star::awt::XBitmap | GraphicBitmap
| This is the graphic bitmap to use as a symbol.
string | ListFormat
| Format string used to generate actual numbering.

## Detailed Description

describes the rules for chapter numbering in a text document.

Some of the properties that are available in the interface are ignored here.

The type of numbering can only be: NUM_CHARS_UPPER_LETTER, NUM_CHARS_LOWER_LETTER, NUM_ROMAN_UPPER, NUM_ROMAN_LOWER, NUM_ARABIC, or NUM_NUMBER_NONE

In the com::sun::star::style::NumberingAlignment only the field com::sun::star::style::NumberingAlignment::Alignment is applied.

Depending on the numbering types, the parameters for bullets or bit maps may be ignored. The character style name for the numbering symbol is also ignored.

## Exported Interfaces

## ◆ com::sun::star::style::NumberingRule

service com::sun::star::style::NumberingRule

## Member Data Documentation

## ◆ HeadingStyleName

string HeadingStyleName
| property

contains the name of the paragraph style that marks this heading level.

It is necessary that each style name appears only once in the sequence of numbering rules.

The documentation for this service was generated from the following file:

- com/sun/star/text/ChapterNumberingRule.idl